import request from '@/utils/request'

// 查询塔机实时数据列表
export function listTowerDataRun(query) {
  return request({
    url: '/device/towerDataRun/list',
    method: 'get',
    params: query
  })
}

// 查询塔机实时数据详细
export function getTowerDataRun(id) {
  return request({
    url: '/device/towerDataRun/' + id,
    method: 'get'
  })
}

// 新增塔机实时数据
export function addTowerDataRun(data) {
  return request({
    url: '/device/towerDataRun',
    method: 'post',
    data: data
  })
}

// 修改塔机实时数据
export function updateTowerDataRun(data) {
  return request({
    url: '/device/towerDataRun',
    method: 'put',
    data: data
  })
}

// 删除塔机实时数据
export function delTowerDataRun(id) {
  return request({
    url: '/device/towerDataRun/' + id,
    method: 'delete'
  })
}
